Index: uspace/lib/c/include/adt/list.h
===================================================================
--- uspace/lib/c/include/adt/list.h	(revision b4b534ac1d1515633baff0d563e9c16938bfe19f)
+++ uspace/lib/c/include/adt/list.h	(revision b76ce3fafabca2ee4bc41e417ad02ab3546c67f2)
@@ -40,4 +40,5 @@
 #include <stdbool.h>
 #include <stddef.h>
+#include <trace.h>
 
 /** Doubly linked list link. */
@@ -51,4 +52,8 @@
 	link_t head;  /**< List head. Does not have any data. */
 } list_t;
+
+extern bool list_member(const link_t *, const list_t *);
+extern void list_concat(list_t *, list_t *);
+extern unsigned long list_count(const list_t *);
 
 /** Declare and initialize statically allocated list.
@@ -88,13 +93,13 @@
 #define list_foreach(list, member, itype, iterator) \
 	for (itype *iterator = NULL; iterator == NULL; iterator = (itype *) 1) \
-	    for (link_t *_link = (list).head.next; \
-	    iterator = list_get_instance(_link, itype, member), \
-	    _link != &(list).head; _link = _link->next)
+		for (link_t *_link = (list).head.next; \
+		    iterator = list_get_instance(_link, itype, member), \
+		    _link != &(list).head; _link = _link->next)
 
 #define list_foreach_rev(list, member, itype, iterator) \
 	for (itype *iterator = NULL; iterator == NULL; iterator = (itype *) 1) \
-	    for (link_t *_link = (list).head.prev; \
-	    iterator = list_get_instance(_link, itype, member), \
-	    _link != &(list).head; _link = _link->prev)
+		for (link_t *_link = (list).head.prev; \
+		    iterator = list_get_instance(_link, itype, member), \
+		    _link != &(list).head; _link = _link->prev)
 
 /** Unlike list_foreach(), allows removing items while traversing a list.
@@ -125,7 +130,7 @@
 #define list_foreach_safe(list, iterator, next_iter) \
 	for (link_t *iterator = (list).head.next, \
-		*next_iter = iterator->next; \
-		iterator != &(list).head; \
-		iterator = next_iter, next_iter = iterator->next)
+	    *next_iter = iterator->next; \
+	    iterator != &(list).head; \
+	    iterator = next_iter, next_iter = iterator->next)
 
 #define assert_link_not_used(link) \
@@ -145,5 +150,5 @@
  *
  */
-static inline void link_initialize(link_t *link)
+NO_TRACE static inline void link_initialize(link_t *link)
 {
 	link->prev = NULL;
@@ -158,5 +163,5 @@
  *
  */
-static inline void list_initialize(list_t *list)
+NO_TRACE static inline void list_initialize(list_t *list)
 {
 	list->head.prev = &list->head;
@@ -194,5 +199,5 @@
  *
  */
-static inline void list_prepend(link_t *link, list_t *list)
+NO_TRACE static inline void list_prepend(link_t *link, list_t *list)
 {
 	list_insert_after(link, &list->head);
@@ -207,5 +212,5 @@
  *
  */
-static inline void list_append(link_t *link, list_t *list)
+NO_TRACE static inline void list_append(link_t *link, list_t *list)
 {
 	list_insert_before(link, &list->head);
@@ -220,5 +225,5 @@
  *
  */
-static inline void list_remove(link_t *link)
+NO_TRACE static inline void list_remove(link_t *link)
 {
 	if ((link->prev != NULL) && (link->next != NULL)) {
@@ -237,5 +242,5 @@
  *
  */
-static inline bool list_empty(const list_t *list)
+NO_TRACE static inline bool list_empty(const list_t *list)
 {
 	return (list->head.next == &list->head);
@@ -274,5 +279,4 @@
  *
  * @return Next item or NULL if @a link is the last item.
- *
  */
 static inline link_t *list_next(const link_t *link, const list_t *list)
@@ -287,5 +291,4 @@
  *
  * @return Previous item or NULL if @a link is the first item.
- *
  */
 static inline link_t *list_prev(const link_t *link, const list_t *list)
@@ -307,5 +310,5 @@
  *
  */
-static inline void headless_list_split_or_concat(link_t *part1, link_t *part2)
+NO_TRACE static inline void headless_list_split_or_concat(link_t *part1, link_t *part2)
 {
 	part1->prev->next = part2;
@@ -328,5 +331,5 @@
  *
  */
-static inline void headless_list_split(link_t *part1, link_t *part2)
+NO_TRACE static inline void headless_list_split(link_t *part1, link_t *part2)
 {
 	headless_list_split_or_concat(part1, part2);
@@ -343,5 +346,5 @@
  *
  */
-static inline void headless_list_concat(link_t *part1, link_t *part2)
+NO_TRACE static inline void headless_list_concat(link_t *part1, link_t *part2)
 {
 	headless_list_split_or_concat(part1, part2);
@@ -396,7 +399,4 @@
 }
 
-extern bool list_member(const link_t *, const list_t *);
-extern void list_concat(list_t *, list_t *);
-extern unsigned long list_count(const list_t *);
 
 #endif
